Name:           cura-networking
Version:        0.0.2
Release:        1%{?dist}
Summary:        CIM providers for network management

License:        GPLv2+
URL:            http://fedorahosted.org/cura/
Source0:        http://fedorahosted.org/released/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  konkretcmpi-devel
BuildRequires:  sblim-cmpi-devel
BuildRequires:  cim-schema
BuildRequires:  glib2-devel
BuildRequires:  check-devel
BuildRequires:  NetworkManager-glib-devel

# For reg2pegasus.py script
Requires:       python2
# sblim-sfcb or tog-pegasus
Requires:       cim-server


%description
%{name} is set of CMPI providers for network management using
Common Information Model (CIM).


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%files
%doc README COPYING
%dir %{_datadir}/%{name}
%attr(755, root, root) %{_datadir}/%{name}/register.sh
%attr(755, root, root) %{_datadir}/%{name}/reg2pegasus.py*
%{_libdir}/cmpi/libcmpiCura_Networking.so
%{_datadir}/%{name}/Cura_Networking.mof
%{_datadir}/%{name}/Cura_Networking.reg


%pre
# If upgrading, deregister old version
if [ "$1" -gt 1 ]; then
    %{_datadir}/%{name}/register.sh unregister \
        %{_datadir}/%{name}/Cura_Networking.mof \
        %{_datadir}/%{name}/Cura_Networking.reg \
        > /dev/null 2>&1 || :;
fi

%post
/sbin/ldconfig
# Register Schema and Provider
if [ "$1" -ge 1 ]; then
    %{_datadir}/%{name}/register.sh register \
        %{_datadir}/%{name}/Cura_Networking.mof \
        %{_datadir}/%{name}/Cura_Networking.reg \
        > /dev/null 2>&1 || :;
fi

%preun
# Deregister only if not upgrading
if [ "$1" -eq 0 ]; then
    %{_datadir}/%{name}/register.sh unregister \
        %{_datadir}/%{name}/Cura_Networking.mof \
        %{_datadir}/%{name}/Cura_Networking.reg \
        > /dev/null 2>&1 || :;
fi

%postun -p /sbin/ldconfig


%changelog
* Mon Aug 06 2012 Radek Novacek <rnovacek@redhat.com> 0.0.2-1
- Update to upstream version 0.0.2

* Fri Aug 03 2012 Radek Novacek <rnovacek@redhat.com> 0.0.1-1
- Initial package

